//--------------------------- Tiki CSS variables
@mixin top-nav-light {
    --tiki-top-bg: #EBD6F9B3;
    --tiki-top-color: rgba(52, 58, 64, 0.8);
    --tiki-top-hover-color: #343a40;
    --tiki-top-text-color: #343a40;
    --bs-navbar-brand-color: #{$navbar-light-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-light-brand-hover-color};
}

@mixin topbar-nav-light {
    --tiki-topbar-bg: rgba(233, 233, 232, 1);
    --tiki-topbar-color: rgba(52, 58, 64, 0.8);
    --tiki-topbar-hover-color: #343a40;
    --tiki-topbar-text-color: #343a40;
}

@mixin top-nav-dark {
    --tiki-top-bg: rgba(232, 50, 131, 1);
    --tiki-top-color: rgba(255, 255, 255, 0.8);
    --tiki-top-hover-color: #fff;
    --tiki-top-text-color: #fff;
    --bs-navbar-brand-color: #{$navbar-dark-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-dark-brand-hover-color};
}

@mixin topbar-nav-dark {
    --tiki-topbar-bg: rgba(232, 50, 131, 1);
    --tiki-topbar-color: rgba(255, 255, 255, 0.8);
    --tiki-topbar-hover-color: #fff;
    --tiki-topbar-text-color: #fff;
}

.tiki-top-nav-light {
    @include top-nav-light;
}

.tiki-topbar-nav-light {
    @include topbar-nav-light;
}

.tiki-top-nav-dark {
    @include top-nav-dark;
}

.tiki-topbar-nav-dark {
    @include topbar-nav-dark;
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // color mode
    .tiki-top-nav-light {                           // light top selector
        @include top-nav-dark;                      // dark values
    }
    .tiki-topbar-nav-light {
        @include topbar-nav-dark;
    }
}

// Color mode preference trumps L&F admin dark navbar option
[data-bs-theme=light] {                              // color mode
    .tiki-top-nav-dark {                           // dark top selector
        @include top-nav-light;                      // light values
    }
    .tiki-topbar-nav-dark {
        @include topbar-nav-light;
    }
}

// - - - - - New admin pages (Unified Admin Backend) - - - - - - - //

// Light navbar minus top nav
@mixin admin-nav-light {
    --tiki-admin-top-nav-bg:  #EBD6F9B3;
    --tiki-admin-navbar-bg: #EBD6F9B3;
    --tiki-admin-top-nav-color: rgba(52, 58, 64, 0.8); // #343a40;
    --tiki-admin-top-nav-hover-color: #343a40;
    --tiki-admin-top-nav-hover-bg: none ;
    --tiki-admin-aside-nav-bg:  #EBD6F9B3;
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg:  rgba(226, 214, 249, 0.63);
    --tiki-admin-dropdown-link-color: #{$navbar-light-color};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
    button.accordion-button {
        color: var(--tiki-admin-aside-nav-color) !important;
        background: var(--tiki-admin-aside-nav-bg) !important;
    }
    .accordion-button::after {
        background-image:  url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%2366bad6'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
    }
}

// Dark navbar minus top nav
@mixin admin-nav-dark {
    --tiki-admin-top-nav-bg: rgba(232, 50, 131, 1);
    --tiki-admin-top-nav-color: rgba(255, 255, 255, 0.8);
    --tiki-admin-top-nav-hover-color: rgba(255, 255, 255, 0.8);
    --tiki-admin-top-nav-hover-bg: #{$navbar-dark-hover-color};
    --tiki-admin-aside-nav-bg: rgb(190, 42, 108);
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-link-color: #{$dropdown-color};
    --tiki-admin-dropdown-bg: #A4245DFF;
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-dark-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
    button.accordion-button {
        color: var(--tiki-admin-aside-nav-color) !important;
        background: var(--tiki-admin-aside-nav-bg) !important;
    }
}

.tiki-admin .dropdown-menu { background-image: none; }

// When color mode switch isn't active
:root {
    .tiki .tiki-admin-top-nav-light, // Legacy
    .tiki.tiki-admin .navbar-light-parent.tiki-top-nav-light, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-light {
        @include admin-nav-light;
    }
    .tiki .tiki-admin-top-nav-dark,
    .tiki.tiki-admin .navbar-dark-parent.tiki-top-nav-dark, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-dark {
        @include admin-nav-dark;
    }
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // dark color mode
    .tiki .tiki-admin-top-nav-light,
    .tiki.tiki-admin .navbar-light-parent.tiki-top-nav-light, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-light {               // light top selectors
        @include admin-nav-dark;                      // dark values
    }
}
// Color mode preference trumps L&F admin dark navbar option
[data-bs-theme=light] {                              // light color mode
    .tiki .tiki-admin-top-nav-dark,
    .tiki.tiki-admin .navbar-dark-parent.tiki-top-nav-dark, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-dark {                // dark top selectors
        @include admin-nav-dark;                      // dark values
    }
}

// - - - - - New admin pages (Unified Admin Backend) END - - - - - - - //

[data-bs-theme="light"] {
    --tiki-quartz-body-bg-image: #{$body-bg-image};
    --bs-secondary-bg: linear-gradient(125deg, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 0.2) 70%);
}

[data-bs-theme="dark"] {
    --tiki-quartz-body-bg-image: linear-gradient(90deg, #293538, #171825, #34061a);
    .bg-light,
    .navbar.bg-light {
        background: var(--bs-tertiary-bg) !important;
         .nav-link {
             color: $link-color-dark;
        }
    }
    ul.navbar-nav.sm-nav > .sm-nav-item > .sm-nav-link {
        color: $link-color-dark;
    }
}

:root {
    .fc-event.fc-event-draggable.fc-event-start.fc-event-end.fc-event-past.fc-h-event.tips,
    .fc-v-event {
        background: var(--bs-secondary-bg) !important;
    }
}

//